Subject: Re: MPC 8349e-mITX and MTD/Flash

From: Timur Tabi <[email-masked]>
Date: Tue, 10 Apr 2007 11:48:53 -0500

Sergei Shtylyov wrote:
> Hello.
> 
> Benedict, Michael wrote:
> 
>>> Having said that, it seems that the kernel now supports defining the 
>>> physmap via the OF tree.  Is that true?
> 
>> Initially I was going to try and define this via the OF tree.  However,
>> the documentation indicated that the only supported device_type was
>> "rom" so I did not persue that route.
> 
>   There was long discussion about using "mtd" and other types -- people 
> were complaining that "mtd" was too Linux-centric term, so finally we 
> ended up with "rom".  It doesn't imply that ROMs are the only supported 
> devices. :-)

Okee dokee.  I'll add it to my to-do list.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale